extends ../../layout

block scripts
    script(src='/css/demo/default/custom/crud/forms/widgets/select2.js' type='text/javascript')
    script(src='/css/demo/default/custom/crud/forms/widgets/bootstrap-markdown.js' type='text/javascript')
    script(src='/css/demo/default/custom/crud/forms/widgets/ion-range-slider.js' type='text/javascript')
    script.
        let slider = $('#m_slider_1');
        slider.ionRangeSlider();
        const $defaultSlider = slider.data('ionRangeSlider');
        function setSliderValue(value) {
            slider.val(value).change();
            $defaultSlider.update({
                from: value
            });
        }


block content
    .m-grid__item.m-grid__item--fluid.m-wrapper
        .m-subheader
            .d-flex.align-items-center
                .mr-auto
                    h3.m-subheader__title.m-subheader__title--separator #{title}
                    ul.m-subheader__breadcrumbs.m-nav.m-nav--inline
                        li.m-nav__item.m-nav__item--home
                            a.m-nav__link.m-nav__link--icon(href='/dashboard')
                                i.m-nav__link-icon.la.la-home
                        li.m-nav__separator -
                        li.m-nav__item
                            a.m-nav__link(href='/employees')
                                span.m-nav__link-text Employees
                        li.m-nav__separator -
                        li.m-nav__item
                            a.m-nav__link(href='#')
                                span.m-nav__link-text #{title}
        .m-content
            .m-portlet
                .m-portlet__body.m-portlet__body--no-padding
                    .m-invoice-1
                        .m-invoice__wrapper
                            form(action="/employee/review/new" method="POST")
                                .m-invoice__head(style='background-image: url(/css/app/media/img//bg/bg-6.jpg);')
                                    .m-invoice__container.m-invoice__container--centered
                                        .m-invoice__logo
                                            input(name='title', value='New Review' placeholder='New Review Title' style="background: none;\n" +
                                            "border: none;\n"+
                                            "font-size: 24pt;\n"+
                                            "color: #ffffff;")
                                            a(href='#')
                                                h1 Employee
                                        span.m-invoice__desc
                                            span ##### #####, xxx-xxx #### ##, ######
                                            span ####### # ######### xxxxx
                                        .m-invoice__items
                                            .m-invoice__item
                                                span.m-invoice__subtitle DATE TODAY
                                                span.m-invoice__text #{date}
                                            .m-invoice__item
                                                span.m-invoice__subtitle &#x9;&#x9;&#x9;&#x9&#x9;&#x9;
                                                span.m-invoice__text &#x9;&#x9;&#x9;&#x9
                                            .m-invoice__item
                                                span.m-invoice__subtitle GRADED BY
                                                span.m-invoice__text
                                                    | #{user.profile.name} | #{user.profile.location}
                                                    br
                                                    | #{user.address.country}, #{user.address.postcode}
                                .m-invoice__body.m-invoice__body--centered
                                    .table-responsive
                                        table.table.col-12
                                            tbody
                                                tr
                                                    td
                                                        .form-group.m-form__group(style="margin-bottom: 2em;")
                                                            label(for='m_select2_1')
                                                                span Review Data
                                                            hr
                                                            br
                                                            .input-group.m-input-group(style="margin-bottom: 1.5em;padding-top: 3.5em;")
                                                                select#m_select2_1.form-control.m-select2(name='employee')
                                                                    option(value=1) select employee
                                                                    each employee in employees
                                                                        option(value=employee._id) #{employee.profile.name}
                                                                label(for='estimate')
                                                                input#estimate.form-control(type='number' placeholder='estimate points' name='estimate')
                                                                div.input-group-append
                                                                    span.input-group-text#points_addon
                                                                        i.flaticon-exclamation-1
                                                                label(for='consumed')
                                                                input#consumed.form-control(type='number' step="0.1" placeholder='consumed hours' name='consumed')
                                                                div.input-group-append
                                                                    span.input-group-text#hours_addon
                                                                        i.flaticon-clock-1
                                                tr
                                                    td
                                                        .form-group.m-form__group(style="margin-bottom: 2.5em;margin-top: 0.5em;")
                                                            label.col-form-label.col-lg-3.col-sm-12(style="color:#444444 !important;") Grade
                                                            .col-lg-12.col-md-12.col-sm-12
                                                                .m-ion-range-slider
                                                                    input#m_slider_1(type='hidden' name="grade" data-block="true" data-type="single" data-grid="true")
                                                tr
                                                    td.col-lg-8.col-md-8.col-sm-12.offset-lg-6.offset-md-6(style="color:#444444 !important;")
                                                        .form-group.m-form__group(style="margin-bottom: 0.5em;margin-top: 2.5em;")
                                                            input(type='hidden', name='_csrf', value=_csrf)
                                                            textarea.form-control(name='description' data-provide='markdown' rows='12')
                                .m-invoice__footer
                                    .m-invoice__container.m-invoice__container--centered
                                        .m-invoice__content
                                            span SUBMIT REVIEW
                                            button.btn.btn-primary(type='submit') Save
